Loading...
Searching...
No Matches
subspacebasis.hh File Reference
`#include <dune/common/reservedvector.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/concept.hh>`
`#include <dune/common/typetree/treepath.hh>`
`#include <dune/functions/common/type_traits.hh>`
`#include <dune/functions/functionspacebases/subspacelocalview.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::SubspaceBasis< RB, TP >

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class RB, class TP>
| Dune::Functions::SubspaceBasis (const RB &, const TP) -> SubspaceBasis< RB, TP >
template<class RootRootBasis, class InnerTP, class OuterTP>
| Dune::Functions::SubspaceBasis (const SubspaceBasis< RootRootBasis, InnerTP > &rootBasis, const OuterTP &prefixPath) -> SubspaceBasis< std::decay_t< decltype(rootBasis.rootBasis())>, decltype(Dune::TypeTree::join(rootBasis.prefixPath(), prefixPath))>
template<class RootBasis, class... PrefixTreeIndices>
auto | Dune::Functions::subspaceBasis (const RootBasis &rootBasis, const TypeTree::TreePath< PrefixTreeIndices... > &prefixPath)
| Create SubspaceBasis from a root basis and a prefixPath.
template<class RootBasis, class... PrefixTreeIndices>
auto | Dune::Functions::subspaceBasis (const RootBasis &rootBasis, const PrefixTreeIndices &... prefixTreeIndices)